#!/usr/bin/env bash

# Copy SSH keys from Windows host.
cp -r /mnt/c/Users/Benie/.ssh ~/.ssh
chown benie:benie ~/.ssh
for file in ~/.ssh/*; do
  chmod 0600 $file
done

# Upgrade Debian to unstable
sudo apt-get update
sudo apt-get upgrade --yes

sudo sed 's/stretch/buster/g' -i /etc/apt/sources.list
sudo apt-get update
sudo apt-get full-upgrade --yes

sudo sed 's/buster/bullseye/g' -i /etc/apt/sources.list
sudo apt-get update
sudo apt-get full-upgrade --yes

sudo sed 's/bullseye/unstable/g' -i /etc/apt/sources.list
sudo apt-get update
sudo apt-get full-upgrade --yes

# Install ansible
sudo apt-get install ansible git python3-apt python3-pip
